.load /Users/fs0c131y/.cache/cargo/target/release/libsqlite3_safetensor_cosine.dylib

SELECT
    cosine_similarity(e1.embedding, e2.embedding) AS similarity
FROM
    embeddings AS e1
    CROSS JOIN embeddings AS e2
WHERE
    e1.id = e2.id;
